Package writer2latex.office

# Class SVMReader

java.lang.Object
writer2latex.office.SVMReader

public final class SVMReader extends Object
This class contains a static method to extract EPS data from an SVM file

## Constructor Summary

Constructors
Constructor
Description
`SVMReader()`

## Method Summary

Modifier and Type
Method
Description
`static final boolean`
`readSVM(byte[] blob, int[] offlen)`
Determine if this SVM contains an EPS document and retrieve start and end positions if so.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SVMReader

public SVMReader()

## Method Details

### readSVM

public static final boolean readSVM(byte[] blob, int[] offlen)
Determine if this SVM contains an EPS document and retrieve start and end positions if so.

Parameters:
  `blob` - byte array containing SVM file
  `offlen` - integer array to retrieve the offset into the SVM file (offlen[0]) and the length (offlen[1]) of the EPS document. If the method returns false, the array will be unchanged.
Returns:
  returns true if the SVM contains an EPS document